Bug 215170 - System freezes randomly
System freezes randomly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-11 15:26 EST by Nikki Qureshi
Modified: 2008-02-07 23:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardware info (17.88 KB, text/plain)
2006-11-12 00:18 EST, Jeronimo Martinez Sanchez
no flags Details
My Xorg.0.log (61.72 KB, text/plain)
2006-11-14 10:02 EST, Nikki Qureshi
no flags Details
My messages (668.08 KB, text/plain)
2006-11-14 10:07 EST, Nikki Qureshi
no flags Details
My secure (19.05 KB, text/plain)
2006-11-14 10:08 EST, Nikki Qureshi
no flags Details
My dmesg (14.71 KB, text/plain)
2006-11-14 10:09 EST, Nikki Qureshi
no flags Details

  None (edit)
Description Nikki Qureshi 2006-11-11 15:26:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
The system freezes and I have to push the reset button on the case of the computer.  I can't find a cause and it appears to be random though often happens when using Firefox - however as I use firefox a lot this could just be coincidence.  It does happen when not using Firefox also but rarely.  Sometimes there are hours without a freeze then it will happen several times within minutes!  Cannot find anything in the logs.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6

How reproducible:
Couldn't Reproduce


Steps to Reproduce:
N/A

Actual Results:
System freezes.

Expected Results:
System should not freeze!

Additional info:
Asus K8V
Athlon 64 3200+
Radeon 9600
Soundblaster Live
Comment 1 Jeronimo Martinez Sanchez 2006-11-11 18:54:04 EST
I got a similar error even running on console mode, before the freeze, the 
message "bus error" appear and the system freeze. my system is also affected 
for the anaconda bug https://bugzilla.redhat.com/bugzilla/
show_bug.cgi?id=211941, with fedora5 there is no problem.

Pentium4 3Ghz
GeForce4 MX 4000
Biostar P4M80-M4(3 PCI, 1 AGP, 1 CNR, 2 DDR DIMM, Audio, Video, LAN)

     
Comment 2 Jeronimo Martinez Sanchez 2006-11-12 00:18:52 EST
Created attachment 140980 [details]
hardware info
Comment 3 Jeronimo Martinez Sanchez 2006-11-12 00:34:25 EST
track the error to my sata drive, 
Barracuda 7200.9 SATA ST3160812AS  (160 GB, 7200 RPM, SATA-II) before the system
freeze 

syslog report:
 
kernel ata1.00:	execption Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
kernel ata1.00:	(BMDMA stat 0x24)
kernel ata1.00:	tag 0 cmd 0xca Emask 0x4 stat 0x40 err 0x0 (timeout)
kernel ata1: 	SATA link up 1.5Gbps (SStatus 113 Scontrol 300)
kernel ata1: 	soft resetting port
kernel ata1.00:	qc timeout(cmd 0xec)
kernel ata1.00:	failed to IDENTIFY (I/0 error, err_maks= 0x4)
kernel ata1.00:	revalidation failed (errno =.5)
kernel ata1:	failed to recover some devices, retriying in 5 secs
kernel ata1: 	SATA link up 1.5Gbps (SStatus 113 Scontrol 300)
kernel ata1: 	soft resetting port
kernel ata1.00:	disable
kernel ata1	EH complete
sd 0:0:0:0 SCSI error: return code = 0x00040000


Comment 4 Nikki Qureshi 2006-11-14 10:02:58 EST
Created attachment 141153 [details]
My Xorg.0.log
Comment 5 Nikki Qureshi 2006-11-14 10:07:30 EST
Created attachment 141154 [details]
My messages
Comment 6 Nikki Qureshi 2006-11-14 10:08:02 EST
Created attachment 141155 [details]
My secure
Comment 7 Nikki Qureshi 2006-11-14 10:09:23 EST
Created attachment 141156 [details]
My dmesg
Comment 8 Nikki Qureshi 2006-11-14 10:13:05 EST
I attached some logs in case they are of any use... I'm really a beginner with
Linux.  I don't want to give up on it but this bug is making things very
difficult for me so any help or suggestions are greatly appreciated!
Comment 9 Konrad Rzeszutek 2006-11-14 12:57:25 EST
Have you tried to replug the cables from the hard-disk and the motherboard
(power and as well the SATA ones)? 
Comment 10 Dan Carpenter 2006-11-14 13:06:53 EST
Nikki's bug isn't the sata thing.  The seems like a problem in the Rt61 wireless
driver.  It seems to be open source but I think it's an out of tree module from
Ralink.
Comment 11 Nikki Qureshi 2006-11-14 14:15:19 EST
Aah!  T(In reply to comment #10)
> Nikki's bug isn't the sata thing.  The seems like a problem in the Rt61 wireless
> driver.  It seems to be open source but I think it's an out of tree module from
> Ralink.

Ooh... that would make sense.  It seems to happen when I'm using things that
access the Internet and I've been noticing it a lot when running the software
updater.  I used the RT61 thingy from RT2X00.serialmonkey.com because I couldn't
get the driver I downloaded directly from Ralink to work.
Comment 12 Jeronimo Martinez Sanchez 2006-11-14 15:03:03 EST
(In reply to comment #9)
> Have you tried to replug the cables from the hard-disk and the motherboard
> (power and as well the SATA ones)? 

yes i did, the problem is not resolved, i looks like a bug in the sata driver, 
fedora core 5 never freeze and was installed on the same drive before i changed
to fedora 6 with a fresh install   
Comment 13 Dan Carpenter 2006-11-14 15:36:21 EST
Nikki, the bad news is that ralink is going to have to fix the bug instead of
Fedora.  If you showed them your /var/log/messages they _should_ be able to fix
it pretty easily.
Comment 14 Nikki Qureshi 2006-11-14 21:26:17 EST
(In reply to comment #13)
> Nikki, the bad news is that ralink is going to have to fix the bug instead of
> Fedora.  If you showed them your /var/log/messages they _should_ be able to fix
> it pretty easily.

Well, it's a point in the right direction.  Thanks!  I will get in touch with
them.  :)
Comment 15 Jeronimo Martinez Sanchez 2006-11-24 00:39:03 EST
i search in google about problem and appears the system freeze with certain sata
hardrive model barracuda Seagate the kernel send this messages 

kernel: ATA: abnormal status 0x7F on port 0xB407
kernel:   Vendor: ATA       Model: ST3160812AS       Rev: 3.AA

message post by someone with similar problem
http://groups.google.com.ni/group/lucky.linux.kernel/browse_thread/thread/d533b878a25a2557/85af5d3780e95c35?lnk=st&q=+kernel%3A+ATA%3A+abnormal+status+0x7F+on+port+0xB407&rnum=3&hl=es#85af5d3780e95c35
Comment 16 Jon Stanley 2008-01-07 20:48:55 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 17 Jon Stanley 2008-02-07 23:26:33 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.